﻿@using System.Collections
@model Comment
<!DOCTYPE html>

<html>
<head>
    <title>@Model.Id</title>
</head>
<body>
    <div>
        <img src="~/@Model.Publication.ImagePath" />
        <p>@Model.Publication.Desc</p>
        <div id="like"><p>Лайков : @Model.Publication.LikeCount</p></div>
        <form>
            <input type="button" id="submitLike" style="font-weight: bolder; border-radius: 3px;" value="Лайкнуть" />
        </form>
        @foreach (var comment in (IEnumerable<Comment>)ViewBag.Comments)
        {
            <p>@comment.AuthorName : </p>
            <p> @comment.Text </p>
        }
    </div>
<b>Комментировать :</b>
<hr>
<div class="col-md-4">
    <form asp-action="CreateReview" asp-controller="Review">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <input type="hidden" name="AuthorName" value="@Model.User.Name"/>
        </div>
        <div class="form-group">
            <label asp-for="@Model.Text" class="control-label">Сообщение</label>
            <input asp-for="@Model.Text" class="form-control"/>
            <span asp-validation-for="@Model.Text" class="text-danger"></span>
        </div>
        <div class="form-group">
            <input type="hidden" asp-for="@Model.UserId"/>
        </div>
        <div class="form-group">
            <input type="hidden" asp-for="@Model.PublicationId"/>
        </div>
        <div class="form-group">
            <input type="submit" value="Ответить" class="btn btn-primary"/>
        </div>
    </form>
</div>
<script>

    $(document).ready(function () {

        $('#submitLike').click(function (e) {

            e.preventDefault();

            var userId = '@Model.UserId';
            var publicationId = '@Model.PublicationId';

            this.userId = encodeURIComponent(userId);
            this.publicationId = encodeURIComponent(publicationId);


            $('#like').load('@Url.Action("Like", "Publication")', {publicationId:this.publicationId, userId:this.userId});

        });

    });

</script>
</body>
</html>